<?php

namespace Waylet\Payment\Helper;

use \Magento\Framework\App\Helper\AbstractHelper;
use Magento\Framework\App\Helper\Context;
use \Magento\Store\Model\ScopeInterface;

class Data extends AbstractHelper
{
    /**
     * @var Context
     */
    protected $context;

    /**
     * @param \Magento\Framework\App\Helper\Context $context
     */
    public function __construct(
        \Magento\Framework\App\Helper\Context $context
    ) {
        parent::__construct($context);
    }

    /**
     * @return string
     */
    public function getWayletPaymentCode()
    {
        return \Waylet\Payment\Model\Payment::PAYMENT_METHOD_CODE;
    }

    /**
     * @param string $scope
     * @return bool
     */
    public function isEnabled($scope = ScopeInterface::SCOPE_STORE)
    {
        return $this->scopeConfig->getValue(
            'payment/waylet_payment/active',
            $scope
        );
    }


    /**
     * @param string $scope
     * @return string
     */
    public function getCommerceId($scope = ScopeInterface::SCOPE_STORE)
    {
        return $this->scopeConfig->getValue(
            'payment/waylet_payment/commerce_id',
            $scope
        );
    }

    /**
     * @param string $scope
     * @return string
     */
    public function getSecret($scope = ScopeInterface::SCOPE_STORE)
    {
        return $this->scopeConfig->getValue(
            'payment/waylet_payment/secret',
            $scope
        );
    }

    /**
     * @param string $scope
     * @return string
     */
    public function getApiKey($scope = ScopeInterface::SCOPE_STORE)
    {
        return $this->scopeConfig->getValue(
            'payment/waylet_payment/api_key',
            $scope
        );
    }

    /**
     * @param string $scope
     * @return string
     */
    public function getCallbackUrl($scope = ScopeInterface::SCOPE_STORE)
    {
        return $this->scopeConfig->getValue(
            'payment/waylet_payment/callbackUrl',
            $scope
        );
    }

    public function getUrlOk($scope = ScopeInterface::SCOPE_STORE)
    {
        return $this->scopeConfig->getValue(
            'payment/waylet_payment/urlOk',
            $scope
        );
    }

    /**
     * @param string $scope
     * @return string
     */
    public function getUrlKo($scope = ScopeInterface::SCOPE_STORE)
    {
        return $this->scopeConfig->getValue(
            'payment/waylet_payment/urlKo',
            $scope
        );
    }

    /**
     * @param string $scope
     * @return string
     */
    public function isDebug($scope = ScopeInterface::SCOPE_STORE)
    {
        return $this->scopeConfig->getValue(
            'payment/waylet_payment/debug',
            $scope
        );
    }
}
