<?php

declare(strict_types=1);

namespace Waylet\Payment\Model;

use Magento\Checkout\Model\ConfigProviderInterface;
use Magento\Framework\View\Asset\Repository;

/**
 * Class PaymentConfigProvider
 */
class PaymentConfigProvider implements ConfigProviderInterface
{
    /**
     * @var Repository
     */
    private $assetRepository;

    /**
     * PaymentConfigProvider constructor
     *
     * @param Repository $assetRepository
     */
    public function __construct(Repository $assetRepository)
    {
        $this->assetRepository = $assetRepository;
    }

    /**
     * Get configuration data
     *
     * @return array
     */
    public function getConfig()
    {
        $logoUrl = $this->assetRepository->getUrlWithParams('Waylet_Payment::images/logo_waylet.png', []);
        return [
            'payment' => [
                'waylet_payment' => [
                    'logoUrl' => $logoUrl,
                ]
            ]
        ];
    }
}
